package com.prolog.rdc.tms.kuaidi100.core;

import com.prolog.rdc.tms.kuaidi100.dto.BaseRequest;
import com.prolog.rdc.tms.kuaidi100.dto.BaseResponse;
import com.prolog.rdc.tms.kuaidi100.dto.HttpResult;

/**
 * @Author: api.kuaidi100.com
 * @Date: 2020-11-25 16:09
 */
public interface IBaseClient {

    HttpResult execute(BaseRequest request) throws Exception;

    BaseResponse executeToObject(BaseRequest request) throws Exception;

    void setTimeOut(int connectTimeout,int socketTimeout);
}
